Page MenuHomePhabricator

Show task Story Points sums in workboards
Closed, ResolvedPublic

Description

In T37#13346, @Tgr wrote:

Thanks Qgil! We don't use burndown charts but rely on Mingle's ability to display story point sums on the boards. I wonder if that is possible to replicate?

Not today, but there are some possibilities around.

  • Could the Burndown extension add this feature? Advantage: we don't need to wait for upstream.
  • All Workboard Cards to be customized for display (upstream) contains a screenshot showing how this would look like. Priority: Normal. How difficult would be to provide a patch just covering the Story Points?

Actually, see Ability to sum a custom field on board columns

Event Timeline

Qgil created this task.Oct 22 2014, 2:23 PM
Qgil raised the priority of this task from to Normal.
Qgil updated the task description. (Show Details)
Qgil changed Security from none to None.
Qgil added subscribers: Qgil, chasemp, mmodell and 10 others.
Qgil updated the task description. (Show Details)Oct 22 2014, 4:01 PM

While I haven't spoken individually with teams who rely on story points, I can imagine that this will be a blocker for many if not all of them in regards to migrating from tools like Trello/Mingle.

After looking at some related cards, I can provide a little more perspective here. It's enormously valuable to be able to see the story points of a task on the task itself (in a workboard view) as it:

  1. gives you a sense of how many story points are locked up in a given area of the workflow [eg we have 27 story points worth of stuff stuck in 'needs review'!]
  2. makes it possible to quickly determine which task someone might want to pick up, depending on their existing bandwidth (eg it's Friday afternoon, I know I can get a 2 point task done today but not an 8 point task)

Further, not all teams that use story points necessarily care about burndown charts. Mobile web is a good example (at least it was when I was working with the team) since they have a very fluid backlog (they don't try to fix the scope of it) and don't have strict deadlines.

Qgil added a comment.Oct 23 2014, 12:00 AM

Thank you @Tgr and @Awjrichards, what started as a side comments seems to be a main blocker for full migrations to Phabricator.

We are fully invested in the Bugzilla and RT migrations, but maybe @mmodell wants to have a look at this once he is liberated. In the meantime, maybe others want to poke upstream, just to see if we are lucky and we get some time from the to implement this feature?

Qgil renamed this task from Show task Story Points in workboards to Show task Story Points sums in workboards.Oct 23 2014, 4:16 AM

I iimplemented a basic points field display on the workboard here.
https://phab08.wmflabs.org/project/board/4/

I had to change two core files. ProjectBoardTaskCard.php and PhabricatorProjectBoardViewController.php. The added functions use the SprintQuery class from the Sprint extension.

Gilles added a subscriber: Gilles.Oct 24 2014, 10:17 AM

@Christopher excellent! The only thing our team would still be missing in terms of workflow is to have the sum of points for a given column calculated. By reporpusing this counter, for example:

Qgil added a subscriber: KLans_WMF.Nov 7 2014, 10:08 AM

This is also an important feature for the Moble teams.

The analytics team also wants this in the workboard view:

  • story points for each card
  • a sum of the points in each column

We're currently using this in Bugzilla with the "Whiteboard" field and Scrumbugs summarizes it. For example: http://sb.wmflabs.org/t/analytics-developers/2014-10-30/

The analytics team also wants this in the workboard view:

  • story points for each card
  • a sum of the points in each column

We're currently using this in Bugzilla with the "Whiteboard" field and Scrumbugs summarizes it. For example: http://sb.wmflabs.org/t/analytics-developers/2014-10-30/

+1

I am a little lost here. There are three cards that seem related T803, T1322, T452, and work by the Phabricator team that seems relevant. Is someone managing the effort to get velocity points added to Phabricator, or should I step in?

Qgil added a comment.Nov 20 2014, 11:33 PM

@Milimetric, if you are willing to step in, your help is very welcomed!

I would start at the related upstream task, sharing there your offer to work on this feature. The maintainers seem to agree with the idea, but they have other priorities. I you ask for guidance, they might help.

Story points and the Sprint app will land here eventually (T1322). In the meantime, you could coordinate with @Christopher to test your code in http://phab08.wmflabs.org , as a first step toward production.

Rather than going upstream to change the Workboard app for Sprint related functions, it may be possible to implement Workboards within Sprint itself. This way, the localization for the Scrum board implementation would not have to be set in a global state for all non-Sprint projects. I have already done a similar thing with the Maniphest Task Reports, so it is definitely possible to duplicate the relevant controller and make new views.

faidon removed a subscriber: faidon.Nov 24 2014, 2:53 PM

This is done. Check it here:
https://phab08.wmflabs.org/sprint/board/15/query/all/

The new Sprint Board is a fork of the regular Project Workboard. All Workboard classes are duplicated in Sprint, so the functionality of the regular Workboards is not affected. Also, the task editing from the Sprint Board required a fork of ManiphestTaskEditController so that a SprintBoardTaskCard is returned rather than a normal one. The ProjectProfileController is overridden by Sprint so that only projects with the special character (§) are shown with the Sprint Project options.

Christopher closed this task as Resolved.Nov 25 2014, 2:19 PM
Gilles moved this task from Untriaged to Done on the Multimedia board.Dec 2 2014, 8:58 AM
Restricted Application added subscribers: TerraCodes, Matanya. · View Herald TranscriptMay 23 2016, 6:06 PM